package examples.EventExamples;

import javafx.application.Application;
import javafx.event.EventHandler;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.input.InputEvent;
import javafx.scene.input.MouseEvent;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class ButtonChangeLabel extends Application {
	 
    public static void main(String[] args) {
        Application.launch(args);
    }
    
    @Override
    public void start(Stage primaryStage) {
        primaryStage.setTitle("Hello World");
        
        VBox root = new VBox();
        root.setAlignment(Pos.CENTER);
		
        Label lbl = new Label("0");
        Button btn = new Button("Hello World");
        

        btn.addEventHandler(
        		//InputEvent.ANY, 
        		MouseEvent.MOUSE_CLICKED,
        	    new EventHandler<InputEvent>() {
            		@Override public void handle(InputEvent e) {
            			String str = lbl.getText();
            			int counter = Integer.parseInt(str) + 1;
            			lbl.setText( String.valueOf(counter) );
            		}
        });
        
        Scene scene = new Scene(root, 300, 250);
        root.getChildren().addAll(lbl,btn);
        primaryStage.setScene(scene);
        primaryStage.show();
    }
}
