package examples.EventExamples;

import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.geometry.Pos;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.input.MouseEvent;
import javafx.scene.layout.FlowPane;
import javafx.scene.paint.Color;
import javafx.scene.paint.Paint;
import javafx.stage.Stage;

public class StyledReactiveButton extends Application {
	 
	    public static void main(String[] args) {
	        Application.launch(args);
	    }
	    
	    @Override
	    public void start(Stage primaryStage) {
	        primaryStage.setTitle("Hello World");
	        
	        FlowPane root = new FlowPane();
	        root.setAlignment(Pos.CENTER);
			
	        Button btn = new Button("Hello World");
	        btn.setStyle("-fx-background-color: MediumSeaGreen");

	        btn.setOnAction(e-> {
	                System.out.println("Hello World !!!");
	        });
	        btn.setOnMouseEntered(e->{
	        		btn.setStyle("-fx-background-color: Yellow");
	        		//Button b = (Button) e.getSource();
					//b.setStyle("-fx-background-color: Yellow");	        	
	        });
	        
	        btn.setOnMouseExited(e->{
	        	btn.setStyle("-fx-background-color: MediumSeaGreen");	
				//	Button b = (Button) e.getSource();
				//	b.setStyle("-fx-background-color: MediumSeaGreen");	        	
	        });
	        
	        Scene scene = new Scene(root, 300, 250);
	        root.getChildren().add(btn);
	        primaryStage.setScene(scene);
	        primaryStage.show();
	    }
}
