package examples.EventExamples.separateControllerClasses;

import javafx.application.Application;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.FlowPane;
import javafx.stage.Stage;
import javafx.scene.input.InputEvent;
import javafx.scene.input.MouseEvent;

public class ManySimpleReactiveButtons2 extends Application {
	 
    public static void main(String[] args) {
        Application.launch(args);
    }
    
    @Override
    public void start(Stage primaryStage) {
        primaryStage.setTitle("Hello World, sharing the same Handler object");
        
        FlowPane root = new FlowPane();
        root.setAlignment(Pos.CENTER);
		
        Button btn1 = new Button("Hello World");
        Button btn2 = new Button("Hello Again");

        MySecondEventController myhandler = new MySecondEventController();
       
        btn1.addEventHandler(MouseEvent.MOUSE_CLICKED, myhandler);
        btn2.addEventHandler(MouseEvent.MOUSE_CLICKED, myhandler);
        
        Scene scene = new Scene(root, 300, 250);
        root.getChildren().addAll(btn1,btn2);
        primaryStage.setScene(scene);
        primaryStage.show();
    }
}