package examples.graphics;

import javafx.application.Application;
import javafx.event.Event;
import javafx.event.EventHandler;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.input.KeyEvent;
import javafx.scene.layout.FlowPane;
import javafx.scene.paint.Color;
import javafx.scene.shape.Circle;
import javafx.scene.shape.Ellipse;
import javafx.scene.shape.Rectangle;
import javafx.scene.shape.Shape;
import javafx.stage.Stage;

public class DrawingShapeNodesSimple extends Application {
	
    public static void main(String[] args) {
        Application.launch(args);
    }
    
    @Override
    public void start(Stage primaryStage) {
        primaryStage.setTitle("Hello World");
  
       	
        FlowPane root = new FlowPane();
        root.setAlignment(Pos.CENTER);
		
        Rectangle rec = new Rectangle(100,50);
        rec.setFill(Color.CORAL);

        
        Ellipse cir = new Ellipse(100,50);
        cir.setFill(Color.AQUAMARINE);
        cir.setRotate(30);

        
        Scene scene = new Scene(root, 400, 250);
        root.getChildren().addAll(rec,cir);
        primaryStage.setScene(scene);
        primaryStage.show();
    }

}
