package examples.graphics;

import javafx.application.Application;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.canvas.Canvas;
import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.Color;
import javafx.stage.Stage;

public class RandomLines  extends Application {

    public static void main(String[] args) {
        Application.launch(args);
    }
    
	@Override
	public void start(Stage primaryStage) throws Exception {
		primaryStage.setTitle("Drawing Operations Test");
		Group root = new Group();
		Canvas canvas = new Canvas(400, 400);
        GraphicsContext gc = canvas.getGraphicsContext2D();
        drawShapes(gc);
        root.getChildren().add(canvas);
        primaryStage.setScene(new Scene(root));
        primaryStage.show();		
	}
	
	void drawShapes(GraphicsContext gc) {
		gc.setFill(Color.GREEN);
        gc.setStroke(Color.BLUE);
        for(int i = 0; i <100;++i)
        	gc.strokeLine(
        			(int)(250*Math.random()), (int)(250*Math.random()), 
        			(int)(250*Math.random()), (int)(250*Math.random()) );
        					
	}

}