package examples.SimpleWindows;


import javafx.application.Application;
import javafx.geometry.Insets;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.FlowPane;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.HBox;
import javafx.scene.text.Text;
import javafx.stage.Stage;

public class LayoutFlow extends Application {

	public static void main(String[] args){
		launch(args);
	}
	

			public void start(Stage primaryStage) throws Exception {
					
				HBox hbox = new HBox();
			    hbox.setPadding(new Insets(15, 12, 15, 12)); // padding all around
			    hbox.setSpacing(10); // space between nodes
			    hbox.setStyle("-fx-background-color: #336699;"); // familiar?

			    Button buttonCurrent = new Button("Current");
			    buttonCurrent.setPrefSize(100, 20); // preferred size

			    Button buttonProjected = new Button("Projected");
			    buttonProjected.setPrefSize(100, 20);

			    hbox.getChildren().addAll(buttonCurrent, buttonProjected);
			    
			    BorderPane root = new BorderPane();
			    root.setTop(hbox); // a Pane added to another Pane
			    
			    Scene scene = new Scene (root, 200, 200);
		         primaryStage.setTitle("Complex Window!");
			    primaryStage.setScene(scene);
			    primaryStage.show();

			
			}
	
	
}