package examples.SimpleWindows;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.GridPane;
import javafx.scene.text.Text;
import javafx.stage.Stage;

public class LayoutGrid extends Application {

	public static void main(String[] args){
		launch(args);
	}
	
	@Override
	public void start(Stage primaryStage) throws Exception {
		primaryStage.setTitle("Layout Window!");
			
		GridPane root = new GridPane();
		root.setVgap(10);
		root.setHgap(10);
		int i =0;
		int j =0;
		
		for (i=0;i<10; ++i) 
			for (j=0; j<10;++j){
				Button btn = new Button(i + "." + j);
				root.add( btn, i,j); // not use getChildren() as we set position
		}
		
		Text txt = new Text ("This is a grid");
		root.add(txt,0,j,10,1); // start column,row ; span column,row
		
		Scene scene = new Scene(root, 500, 500);
		
		primaryStage.setScene(scene);
		primaryStage.show();
	}
}
