package examples.Windows;

import javafx.application.Application;
import javafx.beans.value.ObservableValue;
import javafx.beans.value.ChangeListener;
import javafx.event.EventHandler;
import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.Toggle;
import javafx.scene.control.ToggleButton;
import javafx.scene.control.ToggleGroup;
import javafx.scene.input.InputEvent;
import javafx.scene.input.MouseEvent;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.FlowPane;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.HBox;
import javafx.stage.Stage;

public class ReplacingWindow extends Application {
	 
    public static void main(String[] args) {
        Application.launch(args);
    }
    
    @Override
    public void start(Stage primaryStage) {
    
        
    	// creating a scene for the left view	
        FlowPane left = new FlowPane();
        left.setAlignment(Pos.CENTER);
        left.getChildren().add(new Label("Left view"));
        Button to_right = new Button("To right");
        left.getChildren().add(to_right);
        left.setStyle("-fx-background-color: #336699;");
        Scene scene_one = new Scene(left, 300, 250);
      
    	
    	// creating a scene for the right view.
        FlowPane right = new FlowPane();
        right.setAlignment(Pos.CENTER);
        right.getChildren().add(new Label("Right view"));
        Button to_left = new Button("To left");
        right.getChildren().add(to_left);
        right.setStyle("-fx-background-color: #36577D;");
        Scene scene_two = new Scene(right, 300, 250);
            
        primaryStage.setScene(scene_one);
        
        to_right.setOnMouseClicked(e ->{
        	primaryStage.setScene(scene_two);
        });
        
        to_left.setOnMouseClicked(e ->{
        	primaryStage.setScene(scene_one);
        });
        

        // adding the scene graph to the stage already created by the Application 
        primaryStage.setTitle("Flip windows");
        primaryStage.show();
    }
}